<?php

	require("_init.php");
	require("_funcstd.php");
	require("_connect2.php");
	require("_basicshow.class.php");
	require("_login.class.php");

	$login = new gfsoftlogin(0,false);

	$ismobile = ismobile();

	if ( isset($_POST['tanggal']) ) {
		if ( $ismobile ) {
			$tanggal = $_POST['tanggal'];
		} else {
			$tanggal = JQueryDate2Date($_POST['tanggal']);
		}
	} else {
		die( "Invalid argument !" );
	}

	$outputhtml = new gfbasicshow( "Total Penjualan Per Tanggal", false, "Total Penjualan Per Tanggal", ( $hasil['TotalRecords'] <= 12 ? 400 : ( 400 + ( ( $hasil['TotalRecords'] - 12 ) * 30 ) ) ) );
	$outputhtml->tombolmenu = true;
	$outputhtml->kembaliurl = "totaljualcabang.php";

//	$perintahdb = "SELECT tblpenjua.KodeCabang, tblpenjua.Point, tblpenjua.No, tblpenjua.Tanggal, tblpenjua.PelangKode, tblpenjua.Tot_Harga, tblpenjua.Tot_Disc, tblpelang.Nama 
//					FROM tblpenjua LEFT JOIN tblpelang ON tblpenjua.PelangKode = tblpelang.Kode WHERE ( tblpenjua.Tanggal = '$tanggal' )";

	$perintahdb = "SELECT tblcabang.NamaCabang, SUM(tblpenjua.Tot_Harga) AS Tot_Harga, SUM(tblpenjua.Tot_Disc) AS Tot_Disc, COUNT(tblpenjua.PenjuaID) AS Jumlah  
					FROM tblpenjua INNER JOIN tblcabang ON tblpenjua.KodeCabang = tblcabang.KodeCabang WHERE ( tblpenjua.Tanggal = '$tanggal' ) GROUP BY tblpenjua.KodeCabang";

	$sqlquery = @DBQuery( $perintahdb );

	if ( $ismobile ) {

		$outputhtml->bodyadd( '<table cellpadding="5" cellspacing="0" style="border:2px #C0C0C0 solid;width:100%;">' );

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td align="center" colspan="2" bgcolor="#666666" style="border:1px #C0C0C0 solid;height:25px;"><font color="#FFFFFF"><b>PER TANGGAL : ' . strtoupper(@Date2ddmmmyyyy($tanggal)) . '<b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td align="center" colspan="2" bgcolor="#00008B" style="border:1px #C0C0C0 solid;height:25px;"><font color="#FFFFFF"><b>TOTAL PENJUALAN PER CABANG<b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$totaljumlah = 0;
		$totalharga = 0;
		$totaldisc = 0;
		$nomor = 0;

		while ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) {

			$nomor++;

			$outputhtml->bodyadd( '	<tr valign="middle">' );
			$outputhtml->bodyadd( '		<td align="center" style="border:1px #C0C0C0 solid;width:10%;">' . $nomor . '. </td>' );
			$outputhtml->bodyadd( '		<td style="border:1px #C0C0C0 solid;">' );
			$outputhtml->bodyadd( '			<table cellpadding="0" cellspacing="0" style="border:0px;width:100%;">' );
			$outputhtml->bodyadd( '			<tr valign="middle">' );
			$outputhtml->bodyadd( '				<td align="left" style="width:35%;">CABANG</td>' );
			$outputhtml->bodyadd( '				<td align="center" style="width:5%;">:</td>' );
			$outputhtml->bodyadd( '				<td align="left">' . $sqlrow['NamaCabang'] . '</td>' );
			$outputhtml->bodyadd( '			</tr>' );
			$outputhtml->bodyadd( '			<tr valign="middle">' );
			$outputhtml->bodyadd( '				<td align="left">RECORD</td>' );
			$outputhtml->bodyadd( '				<td align="center">:</td>' );
			$outputhtml->bodyadd( '				<td align="left">' . @ShowNumber($sqlrow['Jumlah']) . '</td>' );
			$outputhtml->bodyadd( '			</tr>' );
			$outputhtml->bodyadd( '			<tr valign="middle">' );
			$outputhtml->bodyadd( '				<td align="left">HARGA JUAL</td>' );
			$outputhtml->bodyadd( '				<td align="center">:</td>' );
			$outputhtml->bodyadd( '				<td align="left">' . @ShowFormatDigitNumber($sqlrow['Tot_Harga']) . '</td>' );
			$outputhtml->bodyadd( '			</tr>' );
			$outputhtml->bodyadd( '			<tr valign="middle">' );
			$outputhtml->bodyadd( '				<td align="left">DISCOUNT</td>' );
			$outputhtml->bodyadd( '				<td align="center">:</td>' );
			$outputhtml->bodyadd( '				<td align="left">' . @ShowFormatDigitNumber($sqlrow['Tot_Disc']) . '</td>' );
			$outputhtml->bodyadd( '			</tr>' );
			$outputhtml->bodyadd( '			<tr valign="middle">' );
			$outputhtml->bodyadd( '				<td align="left">TOTAL</td>' );
			$outputhtml->bodyadd( '				<td align="center">:</td>' );
			$outputhtml->bodyadd( '				<td align="left">' . @ShowFormatDigitNumber($sqlrow['Tot_Harga']-$sqlrow['Tot_Disc']) . '</td>' );
			$outputhtml->bodyadd( '			</tr>' );
			$outputhtml->bodyadd( '			</table>' );
			$outputhtml->bodyadd( '		</td>' );
			$outputhtml->bodyadd( '	</tr>' );

			$totaljumlah = $totaljumlah + $sqlrow['Jumlah'];
			$totalharga = $totalharga + $sqlrow['Tot_Harga'];
			$totaldisc = $totaldisc + $sqlrow['Tot_Disc'];

		}

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td align="center" colspan="2" bgcolor="#666666" style="border:1px #C0C0C0 solid;height:20px;"><font color="#FFFFFF"><b>GRAND TOTAL<b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td colspan="2" style="border:1px #C0C0C0 solid;">' );
		$outputhtml->bodyadd( '			<table cellpadding="0" cellspacing="0" style="border:0px;width:100%;">' );
		$outputhtml->bodyadd( '			<tr valign="middle">' );
		$outputhtml->bodyadd( '				<td align="left" style="width:35%;">RECORD</td>' );
		$outputhtml->bodyadd( '				<td align="center" style="width:5%;">:</td>' );
		$outputhtml->bodyadd( '				<td align="left">' . @ShowNumber($totaljumlah) . '</td>' );
		$outputhtml->bodyadd( '			</tr>' );
		$outputhtml->bodyadd( '			<tr valign="middle">' );
		$outputhtml->bodyadd( '				<td align="left">HARGA JUAL</td>' );
		$outputhtml->bodyadd( '				<td align="center">:</td>' );
		$outputhtml->bodyadd( '				<td align="left">' . @ShowFormatDigitNumber($totalharga) . '</td>' );
		$outputhtml->bodyadd( '			</tr>' );
		$outputhtml->bodyadd( '			<tr valign="middle">' );
		$outputhtml->bodyadd( '				<td align="left">DISCOUNT</td>' );
		$outputhtml->bodyadd( '				<td align="center">:</td>' );
		$outputhtml->bodyadd( '				<td align="left">' . @ShowFormatDigitNumber($totaldisc) . '</td>' );
		$outputhtml->bodyadd( '			</tr>' );
		$outputhtml->bodyadd( '			<tr valign="middle">' );
		$outputhtml->bodyadd( '				<td align="left">TOTAL</td>' );
		$outputhtml->bodyadd( '				<td align="center">:</td>' );
		$outputhtml->bodyadd( '				<td align="left">' . @ShowFormatDigitNumber($totalharga-$totaldisc) . '</td>' );
		$outputhtml->bodyadd( '			</tr>' );
		$outputhtml->bodyadd( '			</table>' );
		$outputhtml->bodyadd( '		</td>' );
		$outputhtml->bodyadd( '	</tr>' );

	} else {

		$outputhtml->bodyadd( '<table cellpadding="5" cellspacing="0" style="position:absolute;border:2px #C0C0C0 solid;top:30px;left:25px;">' );

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td align="center" class="standardhuruf" colspan="6" bgcolor="#666666" style="border:1px #C0C0C0 solid;height:35px;"><font color="#FFFFFF"><b>PER TANGGAL : ' . strtoupper(@Date2ddmmmyyyy($tanggal)) . '<b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td align="center" class="standardhuruf" colspan="6" bgcolor="#00008B" style="border:1px #C0C0C0 solid;height:35px;"><font color="#FFFFFF"><b>TOTAL PENJUALAN PER CABANG<b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:40px;height:40px;"><font color="#FFFFFF"><b>NO.</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:200px;"><font color="#FFFFFF"><b>CABANG</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:40px;"><font color="#FFFFFF"><b>REC</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:120px;"><font color="#FFFFFF"><b>HARGA JUAL</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:120px;"><font color="#FFFFFF"><b>DISCOUNT</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:130px;"><font color="#FFFFFF"><b>TOTAL</b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$totaljumlah = 0;
		$totalharga = 0;
		$totaldisc = 0;
		$nomor = 0;

		while ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) {

			$nomor++;

			$outputhtml->bodyadd( '	<tr valign="middle">' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;height:30px;">' . $nomor . '. </td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="left" style="border:1px #C0C0C0 solid;">' . $sqlrow['NamaCabang'] . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" style="border:1px #C0C0C0 solid;">' . @ShowNumber($sqlrow['Jumlah']) . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;">' . @ShowFormatDigitNumber($sqlrow['Tot_Harga']) . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;">' . @ShowFormatDigitNumber($sqlrow['Tot_Disc']) . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;">' . @ShowFormatDigitNumber($sqlrow['Tot_Harga']-$sqlrow['Tot_Disc']) . '</td>' );
			$outputhtml->bodyadd( '	</tr>' );

			$totaljumlah = $totaljumlah + $sqlrow['Jumlah'];
			$totalharga = $totalharga + $sqlrow['Tot_Harga'];
			$totaldisc = $totaldisc + $sqlrow['Tot_Disc'];

		}

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td align="center" class="standardhuruf" colspan="6" bgcolor="#666666" style="border:1px #C0C0C0 solid;height:35px;"><font color="#FFFFFF"><b>GRAND TOTAL<b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td colspan="2" class="standardhuruf" align="center" style="border:1px #C0C0C0 solid;height:30px;"><b>T O T A L</b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" style="border:1px #C0C0C0 solid;"><b>' . @ShowNumber($totaljumlah) . '</b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;"><b>' . @ShowFormatDigitNumber($totalharga) . '</b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;"><b>' . @ShowFormatDigitNumber($totaldisc) . '</b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;"><b>' . @ShowFormatDigitNumber($totalharga-$totaldisc) . '</b></td>' );
		$outputhtml->bodyadd( '	</tr>' );

	}

	$outputhtml->bodyadd( '</table>' );

	$outputhtml->output();

?>